/* 
 * File:   signalgen.h
 * Author: sprut
 *
 * Created on 3. Mrz 2020, 21:34
 */

#ifndef SIGNALGEN_H
#define	SIGNALGEN_H


#include <xc.h>


#define _XTAL_FREQ  24000000    

//******************************************************************************************************
// definitions for LCD
//******************************************************************************************************
#define LCD_Port    LATDbits
#define LCD_RS      LATDbits.LATD1
#define LCD_RW      LATDbits.LATD2
#define LCD_E       LATDbits.LATD3
#define LCD_D4      LATDbits.LATD4
#define LCD_D5      LATDbits.LATD5
#define LCD_D6      LATDbits.LATD6
#define LCD_D7      LATDbits.LATD7



//******************************************************************************************************
// definitions for SPI, ADF, ATT
//******************************************************************************************************
#define ADF_CS      LATEbits.LATE0
#define ATT_CS      LATEbits.LATE1
#define ADF_MUX     PORTAbits.RA5


#define SPI_CLK     LATBbits.LATB1
#define SPI_SDO     LATCbits.LATC7
#define SPI_Delay   10  
//#define SoftSPI


#define State_Non   0
#define State_FRQ   1
#define State_POW   2
#define State_PCal  3
#define State_FCal  4
#define State_DEB   5


//******************************************************************************************************
// Macros
//******************************************************************************************************
#define circleArea(r) (3.1415*(r)*(r))
#define qdB(dB) (dB*4)


//****************************************************************************************************************
// variables
//****************************************************************************************************************
unsigned char sync_mode;
unsigned char bus_mode;
unsigned char smp_phase;
char key;


//*****************************************************************************************************************

#endif	/* SIGNALGEN_H */

